Skip to content

List released phone numbers. Released numbers may be purchased again with 2 weeks of being released. Released numbers may be removed from released list after 2 weeks.

GET
/numbers/released
curl --request GET \
--url https://api.pingram.io/numbers/released \
--header 'Authorization: Bearer <token>'

Successful response

Media type application/json
object
numbers
required
Array<object>

Represents a phone number in the account

object
phoneNumber
required

E.164

string
label
string
createdAt
required

ISO timestamp when the number was registered

string
countryCode
required

ISO 3166-1 alpha-2 country code

string
numberType
required

E.g. local, toll_free

string
billingStatus
required

Active or released

string
Allowed values: active released
nextBillingDate
required

YYYY-MM-DD next monthly rent charge

string
monthlyPrice
required

Monthly cost in USD

number
a2pStatus

US 10DLC readiness derived from stored campaign assignment

string
Allowed values: pending testing approved
releasedAt

ISO timestamp when the number was released (released numbers only)

string
Example
{
"numbers": [
{
"billingStatus": "active",
"a2pStatus": "pending"
}
]
}

Bad Request - validation errors, invalid input

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Unauthorized

Payment Required - usage limits exceeded

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Internal Server Error

Bad Gateway - provider error

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}